#include <def2191.h>

//----------------------------------------------------------------------------------------------
//				GLOBAL & EXTERNAL DECLARATIONS														
//---------------------------------------------------------------------------------------------- 
.GLOBAL Initialization_of_SPI0;

//----------------------------------------------------------------------------------------------
//			   DM DATA																
//----------------------------------------------------------------------------------------------
.SECTION /dm dmdata;
.VAR		recieved_data[16];

//----------------------------------------------------------------------------------------------
//				SPI0 REGISTER INTIALIZATION							
//----------------------------------------------------------------------------------------------
.SECTION /pm program;
Initialization_of_SPI0:

	IOPG = SPI0_Controller_Page;

	AR = 0xFF02;				/* Enable Slave On PF2 */
	IO(SPIFLG0) = AR;			

	AR = 0x50;				/* Set SPI0 Baud rate, => SCLK0 ~= 50Khz*/
	IO(SPIBAUD0) = AR;			

	AR = 0x5908;				/* Set SPI0 Configuration Reigster */
	IO(SPICTL0) = AR;			/* Enable SPI0 as MASTER */


	I0 = recieved_data;
	M1 = 1;
	L0 = LENGTH(recieved_data);
	ax0 = I0;
	REG(B0) = ax0;

	ENA INT;

	IOPG = SPI0_Controller_Page;
	AR = IO(RDBR0);				/* Dummy read from SPI0 */
	
	RTS;